Which flashcard should I choose?

Discussion in '3DS - Flashcards & Custom Firmwares' started by krraka, Mar 3, 2015.

?

What should I do?

  1. Wait for the Gateway 3DS version 9.5.0

    16.0%
  2. Get the Sky3DS

    84.0%
  1. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina
    Hello.

    I've got an "old" 3DS with the update 9.5.0-22 (it is an european 3DS)

    I want to get a flashcard to play my favorite games, but I can't decide which flashcard to choose.
    I've read the Sky3DS has region locking, which makes it difficult to find EUR games for my console. On the other hand, I've got the Gateway3DS, but it doesn't support the update I've got in my 3DS (and I've read it may not get it for a LOOOOOONG time).

    I've also read that some people found out how to make the Sky3DS run games from other regions with the "region-three". Is that true?

    To sum up, should I wait for the Gateway3DS, or get a Sky3DS?

    Thanks :lol:
     
  2. rickycoe123

    rickycoe123 GBAtemp Fan

    Member
    416
    30
    Jun 23, 2014
    If you can afford it, buy the Sky3DS and wait for Gateway to release (if they do) or alternatively, you can buy a second console on 9.2 or below as they are about the same price as a Sky cart now, even treat yourself to a XL.
     
  3. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina
    The thing is I live in a country where it is pretty difficult to get a 3DS, and if you were to see one, it would be extremely overpriced. And my 3DS is already a XL one :P.

    And I don't think I have enough money to get a Sky3DS now and get a Getaway whenever they decide to release a new update.
    So.... Should I get the Sky3DS anyway?
     
  4. Random Joe

    Random Joe GBAtemp Fan

    Member
    342
    128
    Dec 16, 2014
    United States
    If you are at 9.5 consider your 3ds worthless with gateway forever.

    Get sky or a different 3ds on 9.2
     
  5. Gatewait3DS

    Gatewait3DS Newbie

    Newcomer
    8
    7
    Feb 26, 2015
    United States
    Soon™
    Get a Sky3DS bro.
     
    Jayro likes this.
  6. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Get the card that works with what you got.
     
  7. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina

    OK... Does any of you know if the method to play games from different regions with a Sky3DS work?

    BTW, Thanks for answering :D
     
  8. rickycoe123

    rickycoe123 GBAtemp Fan

    Member
    416
    30
    Jun 23, 2014
    Not having even used a Sky, that's what I'd recommend in your situation. You could even sell the GW to fund the Sky.
     
  9. sarkwalvein

    sarkwalvein More coffee, please!

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,426
    5,848
    Jun 29, 2007
    Germany
    Niedersachsen
    If you do not update past 9.5.0-22 you can still use RegionThree for playing out of region games, I think.
    Do not wait for Gateway 9.5, it will probably never come, and you will have a depreciating, dust collecting 3DS for ever.
    It makes no sense. There are plenty of great European games anyway, so it is better to live with region locking than without anything.
    The problem regarding Europe is that there are many interesting games that are Eshop only (so anyway they will not run in a Sky3DS).

    PS: You can still buy games from the eshop anyway, if you are willing to update and lose the possibility of multiregion... and that may not be worthy... 9.5.0-23 blocks regionthree.
     
  10. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina

    I haven't updated to 9.5.0-23 yet. However, my Nintendo 3DS has the 9.5.0-22 update.
    Are you sure the region three is not compatible with 9.5.0-22?

    EDIT: Just checked in the official webpage:
     
  11. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina
    Thanks everybody for the help.
    I'll try to get a Sky3DS then and use the Region Three to run every type of game

    If there is anything else I should be taking into account please be sure to tell me :D

    And... If you guys don't mind, would you like telling me your favorite 3DS games?
     
    Kelton2 likes this.
  12. yoshinatsu

    yoshinatsu GBAtemp Fan

    Member
    379
    175
    Sep 14, 2009
    Greece
    Downtown Jigoku
    I'm a Gateway owner, but if I were in your position, I'd just get Sky3DS at this point.
    Gateway's simply not getting updated for 9.5 anytime soon.
     
    Kelton2 likes this.
  13. sarkwalvein

    sarkwalvein More coffee, please!

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,426
    5,848
    Jun 29, 2007
    Germany
    Niedersachsen
    Sorry, it was a typo. I wanted to say "If you do not update past 9.5.0-22..."

    As for favorite 3DS games...
    Well, probably a list of what I own:
    • Fire Emblem 13
    • Super Smash Bros 4
    • Bravely Default
    • Shin Megami Tensei 4
    • Persona Q
    • Zero Escape: Virtue's Last Reward
    • Mario Kart 7
    • Zelda A link between worlds
    • Zelda Ocarina Of Time
    • Zelda Majora's Mask
    • Phoenix Wright Dual Destinies
    • Mario 3D Land
    Also I've heard good things about
    • Monster Hunter 4
    • Fantasy Life
    • Rune Factory 4
    I liked Tales of the Abyss in the PS2, but I haven't tried it in 3DS, probably it is still good.
    Well, I like mostly RPGs, dungeon crawlers, strategy and VNs.
    I also own Pokemon Y and Metal Gear Solid Framedrops 3D, but I don't enjoy those ones so much.
     
  14. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina
    Thanks a lot for the recommendations. There are some games I had never heard of but when I googled them seemed to be really interesting games :D
    Do I need to have played the previous Shin Migami Tensei to play Shin Migami Tensei 4?

    BTW, you should try Kid Icarus Uprising. Easily one of the best 3DS titles right now ;)
     
  15. Liberty

    Liberty GBAtemp Advanced Fan

    Member
    526
    61
    Nov 22, 2008
    Gambia, The
    If you do not update to the latest version, you'll not be able to access the eShop though (Games, DLC, updates!)
     
  16. sarkwalvein

    sarkwalvein More coffee, please!

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,426
    5,848
    Jun 29, 2007
    Germany
    Niedersachsen
    You don't need to play previous SMT games, they are mostly independent stories sharing some concepts and gameplay.
     
  17. iViperz

    iViperz GBAtemp Regular

    Member
    192
    52
    Jan 7, 2015
    Ideally you should have a button for both :P
    Sky is probably your only option since you're on 9.5, the latest update breaks region free so just be wary of that if you wanted region free games.
     
  18. krraka
    OP

    krraka Member

    Newcomer
    10
    1
    Mar 3, 2015
    Argentina
    What do you mean? Won't I be able to play games from other regions with the Region Three?
     
  19. sarkwalvein

    sarkwalvein More coffee, please!

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,426
    5,848
    Jun 29, 2007
    Germany
    Niedersachsen
    You will be able to play games from other regions as long you don't update, but some games don't work.
     
  20. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    7,377
    4,799
    Jan 17, 2013
    Mexico
    No brainer.
    Get a Sky3DS.

    I'm a GW owner, but God knows when the heck will a 9.5 exploit be possible (if it ever does) and don't expect nothing short of a year at least from Gateway if that were to happen.

    In your position, the best suitable option would be a Sky3DS for you, and if you want Region Free do not update to 9.5.0-23